# ux-date-range-picker



<!-- Auto Generated Below -->


## Properties

| Property             | Attribute               | Description                                                            | Type                  | Default        |
| -------------------- | ----------------------- | ---------------------------------------------------------------------- | --------------------- | -------------- |
| `dateFormat`         | `date-format`           | Format of the date value                                               | `string`              | `"YYYY-MM-DD"` |
| `disabled`           | `disabled`              | Flag that controls if the field is disabled                            | `boolean`             | `false`        |
| `errorMsg`           | `error-msg`             | Error message that is rendered in invalid state                        | `string`              | `null`         |
| `firstWeekday`       | `first-weekday`         | The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)  | `number`              | `1`            |
| `inputId`            | `input-id`              | Input id attribute                                                     | `string`              | `undefined`    |
| `kind`               | `kind`                  | Controls the appearance of the control                                 | `"default" \| "form"` | `"default"`    |
| `language`           | `language`              | The language in which texts are displayed                              | `string`              | `undefined`    |
| `maxDate`            | `max-date`              | Optionally, the date can be restricted to a maximum value (YYYY-MM-DD) | `string`              | `undefined`    |
| `minDate`            | `min-date`              | Optionally, the date can be restricted to a minimum value (YYYY-MM-DD) | `string`              | `undefined`    |
| `placeholder`        | `placeholder`           | the input placeholder text                                             | `string`              | `undefined`    |
| `rangeEndError`      | `range-end-error`       | Indicates an invalid end date                                          | `boolean`             | `false`        |
| `rangeEndErrorMsg`   | `range-end-error-msg`   | Error message for the range end field                                  | `string`              | `null`         |
| `rangeEndLabel`      | `range-end-label`       | Label text for the range end field                                     | `string`              | `undefined`    |
| `rangeEndName`       | `range-end-name`        | Name for the range end input                                           | `string`              | `"end_date"`   |
| `rangeEndRequired`   | `range-end-required`    | Flag that controls if the range end is mandatory                       | `boolean`             | `false`        |
| `rangeEndValue`      | `range-end-value`       | Initial range end date (YYYY-MM-DD)                                    | `string`              | `""`           |
| `rangeStartError`    | `range-start-error`     | Indicates an invalid end date                                          | `boolean`             | `false`        |
| `rangeStartErrorMsg` | `range-start-error-msg` | Error message for the range start field                                | `string`              | `null`         |
| `rangeStartLabel`    | `range-start-label`     | Label text for the range end field                                     | `string`              | `undefined`    |
| `rangeStartName`     | `range-start-name`      | Name for the range start input                                         | `string`              | `"start_date"` |
| `rangeStartRequired` | `range-start-required`  | Flag that controls if the range start is mandatory                     | `boolean`             | `false`        |
| `rangeStartValue`    | `range-start-value`     | Initial range start date (YYYY-MM-DD)                                  | `string`              | `""`           |
| `resetText`          | `reset-text`            | Label for the reset button                                             | `string`              | `undefined`    |
| `todayText`          | `today-text`            | Label for the today button                                             | `string`              | `undefined`    |


## Dependencies

### Depends on

- [ux-date-picker](../date-picker)

### Graph
```mermaid
graph TD;
  ux-date-range-picker --> ux-date-picker
  ux-date-picker --> ux-icon
  style ux-date-range-picker fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
