# ux-icon



<!-- Auto Generated Below -->


## Properties

| Property | Attribute | Description                                                                     | Type     | Default |
| -------- | --------- | ------------------------------------------------------------------------------- | -------- | ------- |
| `fill`   | `fill`    | property to change the color of the icon, supported colors: green, white, black | `string` | `""`    |
| `name`   | `name`    | name of icon                                                                    | `string` | `""`    |
| `sizeL`  | `size-l`  | the size of the icon on desktop viewports                                       | `number` | `null`  |
| `sizeM`  | `size-m`  | the size of the icon on tablet viewports                                        | `number` | `null`  |
| `sizeS`  | `size-s`  | the size of the icon on mobile viewports                                        | `number` | `null`  |


## Dependencies

### Used by

 - [ux-accordion](../accordion)
 - [ux-checkbox-tile](../checkbox-tile)
 - [ux-collapsible](../collapsible)
 - [ux-copy-to-clipboard](../copy-to-clipboard)
 - [ux-date-picker](../date-picker)
 - [ux-dropdown](../dropdown)
 - [ux-file-upload](../file-upload)
 - [ux-file-upload-thumbnail](../file-upload/file-upload-thumbnail)
 - [ux-message-box](../message-box)
 - [ux-modal](../modal)
 - [ux-phone-input](../phone-input)
 - [ux-scroll-to-top-button](../scroll-to-top-button)
 - [ux-select](../select)
 - [ux-slider](../slider)
 - [ux-slider-pagination](../slider/slider-pagination)
 - [ux-steps-item](../steps/steps-item)
 - [ux-tab-container](../tabs/tab-container)
 - [ux-table-sort](../table/table-sort)
 - [ux-tag](../tags)
 - [ux-toggle-button](../toggle-button)
 - [ux-video](../video)

### Graph
```mermaid
graph TD;
  ux-accordion --> ux-icon
  ux-checkbox-tile --> ux-icon
  ux-collapsible --> ux-icon
  ux-copy-to-clipboard --> ux-icon
  ux-date-picker --> ux-icon
  ux-dropdown --> ux-icon
  ux-file-upload --> ux-icon
  ux-file-upload-thumbnail --> ux-icon
  ux-message-box --> ux-icon
  ux-modal --> ux-icon
  ux-phone-input --> ux-icon
  ux-scroll-to-top-button --> ux-icon
  ux-select --> ux-icon
  ux-slider --> ux-icon
  ux-slider-pagination --> ux-icon
  ux-steps-item --> ux-icon
  ux-tab-container --> ux-icon
  ux-table-sort --> ux-icon
  ux-tag --> ux-icon
  ux-toggle-button --> ux-icon
  ux-video --> ux-icon
  style ux-icon fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
