# ux-modal



<!-- Auto Generated Below -->


## Properties

| Property               | Attribute                 | Description                                                                                        | Type                            | Default    |
| ---------------------- | ------------------------- | -------------------------------------------------------------------------------------------------- | ------------------------------- | ---------- |
| `closeButtonText`      | `close-button-text`       | The label of the close button                                                                      | `string`                        | `""`       |
| `closeOnBackdropClick` | `close-on-backdrop-click` | If present, uxModalClose event is emitted when the backdrop is clicked *                           | `boolean`                       | `false`    |
| `closeOnEscKey`        | `close-on-esc-key`        | If present, uxModalClose event is emitted when escape key is pressed *                             | `boolean`                       | `false`    |
| `name`                 | `name`                    | Set the name of the modal                                                                          | `string`                        | `""`       |
| `noCloseButton`        | `no-close-button`         | Disables the close button in the top corner                                                        | `boolean`                       | `false`    |
| `opened`               | `opened`                  | Boolean to indicate if or not the modal is currently opened                                        | `boolean`                       | `false`    |
| `priority`             | `priority`                | Set the priority of the modal as integer between 1 and 10 - lower numbers have a higher importance | `number`                        | `5`        |
| `reloadOnClose`        | `reload-on-close`         | reloads the page when the modal is closed                                                          | `boolean`                       | `false`    |
| `stickyPosition`       | `sticky-position`         | At which vertical position should the maodal be docked *                                           | `"bottom" \| "center" \| "top"` | `"center"` |


## Events

| Event          | Description                      | Type                  |
| -------------- | -------------------------------- | --------------------- |
| `uxModalClose` | Emitted when the modal is closed | `CustomEvent<string>` |
| `uxModalOpen`  | Emitted when the modal is opened | `CustomEvent<string>` |


## Methods

### `triggerClose() => Promise<void>`

Triggers modal closing

#### Returns

Type: `Promise<void>`



### `triggerOpen() => Promise<void>`

Triggers modal opening

#### Returns

Type: `Promise<void>`




## Dependencies

### Depends on

- [ux-icon](../icon)
- [ux-steps](../steps)

### Graph
```mermaid
graph TD;
  ux-modal --> ux-icon
  ux-modal --> ux-steps
  ux-steps --> ux-steps-item
  ux-steps-item --> ux-icon
  style ux-modal fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
