# ux-range-input



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description                                                                                          | Type              | Default           |
| ---------- | ----------- | ---------------------------------------------------------------------------------------------------- | ----------------- | ----------------- |
| `disabled` | `disabled`  | if set, the input will be disabled                                                                   | `boolean`         | `false`           |
| `error`    | `error`     | if set, the component will be displayed in error mode                                                | `boolean`         | `false`           |
| `errorMsg` | `error-msg` | the error message to be displayed to the user                                                        | `string`          | `"Invalid value"` |
| `inputId`  | `input-id`  | id attribute for the input element, this will be set automatically if it is not set by the developer | `string`          | `""`              |
| `label`    | `label`     | the label of the component, can also be inserted per slot                                            | `string`          | `""`              |
| `max`      | `max`       | the maximum value that can be selected                                                               | `number`          | `10`              |
| `min`      | `min`       | the minimum value that can be selected                                                               | `number`          | `0`               |
| `name`     | `name`      | the name to be assigned to the range input                                                           | `string`          | `undefined`       |
| `step`     | `step`      | the step to give the range input element                                                             | `"any" \| number` | `1`               |
| `value`    | `value`     | the default value to give to the imput, it defaults to the min value                                 | `number`          | `this.min`        |


## Events

| Event                | Description                                                           | Type                                                             |
| -------------------- | --------------------------------------------------------------------- | ---------------------------------------------------------------- |
| `uxRangeInputChange` | range input event emitted on change, includes value, inputId and name | `CustomEvent<{ value: string; inputId: string; name: string; }>` |


## Slots

| Slot          | Description                                       |
| ------------- | ------------------------------------------------- |
| `"(default)"` | Label element slot, for label additional elements |
| `"info-max"`  | info label for the right side of the range        |
| `"info-min"`  | info label for the left side of the range         |


----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
