# ux-slider



<!-- Auto Generated Below -->


## Properties

| Property                | Attribute                 | Description                                                                                                                                   | Type                | Default   |
| ----------------------- | ------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- | ------------------- | --------- |
| `arrowsFollowImg`       | `arrows-follow-img`       | set the arrow navigation to be in the middle of the image, instead of the whole slider                                                        | `boolean \| string` | `false`   |
| `autoHeight`            | `auto-height`             | if set, the height of the slider will be equal to the current visible slide                                                                   | `boolean`           | `false`   |
| `autoplay`              | `autoplay`                | if set, the slider has autoplay on                                                                                                            | `boolean`           | `false`   |
| `autoplayTime`          | `autoplay-time`           | if set, the slider has autoplay on                                                                                                            | `number`            | `5000`    |
| `breakpointL`           | `breakpoint-l`            | sets the custom breakpoint for large viewports                                                                                                | `number`            | `860`     |
| `breakpointM`           | `breakpoint-m`            | sets the custom breakpoint for medium viewports                                                                                               | `number`            | `768`     |
| `breakpointS`           | `breakpoint-s`            | sets the custom breakpoint for small viewports                                                                                                | `number`            | `567`     |
| `containerClasses`      | `container-classes`       | additional classes that will be added to an inner div, used to set utility classes that will control the internal width of the slides         | `string`            | `""`      |
| `containerWidthL`       | `container-width-l`       | sets the inner container width for large viewports                                                                                            | `string`            | `"100%"`  |
| `containerWidthM`       | `container-width-m`       | sets the inner container width for medium viewports                                                                                           | `string`            | `"100%"`  |
| `containerWidthS`       | `container-width-s`       | sets the inner container width for small viewports                                                                                            | `string`            | `"100%"`  |
| `containerWidthXl`      | `container-width-xl`      | sets the inner container width for XL viewports                                                                                               | `string`            | `"100%"`  |
| `effect`                | `effect`                  | slide transition effect: one of: "slide", "fade", "cube", "coverflow", "flip"                                                                 | `string`            | `"slide"` |
| `fadedSides`            | `faded-sides`             | if set, slider will be centered, with the addions of shadows on the sides to cut off excess slides on tablet viewports                        | `boolean`           | `false`   |
| `loop`                  | `loop`                    | if set, set the sliding to be infinite. Note This can cause issues with certain web-components. If you encounter such problems, disable loop. | `boolean`           | `false`   |
| `noArrows`              | `no-arrows`               | if set, the slider will have no navigation arrows                                                                                             | `boolean`           | `false`   |
| `noDrag`                | `no-drag`                 | if set, the swiping will be disabled for mouse drags                                                                                          | `boolean`           | `false`   |
| `pauseOnHover`          | `pause-on-hover`          | the slider will pause when there the mouse hovers the slider                                                                                  | `boolean \| string` | `false`   |
| `reinitOnResize`        | `reinit-on-resize`        | if set,slider will reinitialise itself on resize                                                                                              | `boolean`           | `false`   |
| `slidesAutoHeight`      | `slides-auto-height`      | if set, height of the slides will be alligned with the max height of the container                                                            | `boolean`           | `false`   |
| `slidesOverflowVisible` | `slides-overflow-visible` | if set, the slides will have overflow visible, useful when the slides have outer shadow                                                       | `boolean`           | `false`   |
| `slidesPerColumnL`      | `slides-per-column-l`     | sets the slides per columns for large viewports                                                                                               | `number`            | `1`       |
| `slidesPerColumnM`      | `slides-per-column-m`     | sets the slides per columns for medium viewports                                                                                              | `number`            | `1`       |
| `slidesPerColumnS`      | `slides-per-column-s`     | sets the slides per columns for small viewports                                                                                               | `number`            | `1`       |
| `slidesPerColumnXl`     | `slides-per-column-xl`    | sets the slides per columns for XL viewports                                                                                                  | `number`            | `1`       |
| `slidesPerGroupL`       | `slides-per-group-l`      | sets the slides per group of for large viewports                                                                                              | `number`            | `1`       |
| `slidesPerGroupM`       | `slides-per-group-m`      | sets the slides per group for medium viewports                                                                                                | `number`            | `1`       |
| `slidesPerGroupS`       | `slides-per-group-s`      | sets the slides per group for small viewports                                                                                                 | `number`            | `1`       |
| `slidesPerGroupXl`      | `slides-per-group-xl`     | sets the slides per group of for xl viewports                                                                                                 | `number`            | `1`       |
| `spaceBetweenL`         | `space-between-l`         | sets the space between slides for large viewports                                                                                             | `number`            | `0`       |
| `spaceBetweenM`         | `space-between-m`         | sets the space between slides for medium viewports                                                                                            | `number`            | `0`       |
| `spaceBetweenS`         | `space-between-s`         | sets the space between slides for small viewports                                                                                             | `number`            | `0`       |
| `spaceBetweenXl`        | `space-between-xl`        | sets the space between slides for XL viewports                                                                                                | `number`            | `0`       |
| `speed`                 | `speed`                   | the speed of the slide stransitions                                                                                                           | `number`            | `400`     |
| `visibleSlidesL`        | `visible-slides-l`        | sets the number of visible slides on large viewports                                                                                          | `"auto" \| number`  | `1`       |
| `visibleSlidesM`        | `visible-slides-m`        | sets the number of visible slides on medium viewports                                                                                         | `"auto" \| number`  | `1`       |
| `visibleSlidesS`        | `visible-slides-s`        | sets the number of visible slides on small viewports                                                                                          | `"auto" \| number`  | `1`       |
| `visibleSlidesXl`       | `visible-slides-xl`       | sets the number of visible slides on XL viewports                                                                                             | `"auto" \| number`  | `1`       |


## Events

| Event                      | Description                                  | Type               |
| -------------------------- | -------------------------------------------- | ------------------ |
| `uxSliderInitialised`      | event emitted when the slider is initialised | `CustomEvent<any>` |
| `uxSliderUpdatePagination` | event to go to previous slide                | `CustomEvent<any>` |


## Methods

### `addSlide(slide: Node | string, before?: boolean) => Promise<void>`

Adds the slide passed as an argument to the slider.

#### Returns

Type: `Promise<void>`



### `removeSlide(index: number) => Promise<void>`

Removes the slide that has the index specified as the argument from the slider

#### Returns

Type: `Promise<void>`



### `slideNext() => Promise<void>`

go to next slide

#### Returns

Type: `Promise<void>`



### `slidePrev() => Promise<void>`

go to previous slide

#### Returns

Type: `Promise<void>`



### `update(additionalOptions?: {}) => Promise<void>`

Update method to be used to reser and update the slider completely.
It can receive an optional argument with valid swiper options.
See Swiper API for more information of valid options.

#### Returns

Type: `Promise<void>`



### `updateSlidesPerView(slidesPerView: number) => Promise<void>`

Updates the number of slides per view of the slider
it expects a number as argument

#### Returns

Type: `Promise<void>`



### `updateSoft() => Promise<void>`

Updates the slider with the native update() method from swiper
It works effectively only for minor updates (size, spacing etc.)

#### Returns

Type: `Promise<void>`




## Slots

| Slot           | Description                                             |
| -------------- | ------------------------------------------------------- |
| `"(default)"`  | your slides (must each be wrapped in <ux-slider-slide>) |
| `"pagination"` | for the <ux-slider-pagination> element                  |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-slider --> ux-icon
  style ux-slider fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
