# ux-tab-container



<!-- Auto Generated Below -->


## Properties

| Property                | Attribute                 | Description                                                                                                                                                                                                                                                                              | Type                | Default    |
| ----------------------- | ------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------- | ---------- |
| `activeTabId`           | `active-tab-id`           | prop which holds the active tab id                                                                                                                                                                                                                                                       | `string`            | `""`       |
| `alignTabButtons`       | `align-tab-buttons`       | pass in the desired justify-content flexbox value for the alignment of the tab buttons                                                                                                                                                                                                   | `string`            | `"center"` |
| `anchorNavigation`      | `anchor-navigation`       | if set, the tabs will act like an anchor navigation                                                                                                                                                                                                                                      | `boolean`           | `false`    |
| `fixToTop`              | `fix-to-top`              | if set, will fiix the tab header to the top of the screen upon scrolling past it                                                                                                                                                                                                         | `boolean`           | `false`    |
| `ignoreSearchParameter` | `ignore-search-parameter` | normally, if a "q" parameter is present in the url, the component will try to look for this q parameter value in the content of each tabs, and if a match is found, it will activate that tab. With this property set, the component will not perform any checking on the "q" parameter. | `boolean`           | `false`    |
| `noNavigation`          | `no-navigation`           | when this is true, the tab navigation will not be displayed                                                                                                                                                                                                                              | `boolean`           | `false`    |
| `scrollWhenActivated`   | `scroll-when-activated`   | if set, the page will scroll so that the tab-header is at the top if the page can be set either to true, and the target element will be the tab header, or a css selector can be used to define the scroll target elememt                                                                | `boolean \| string` | `false`    |
| `tabHeaderClasses`      | `tab-header-classes`      | classes to be passed down to the tab-header div, to facilitate integration                                                                                                                                                                                                               | `string`            | `""`       |


## Events

| Event            | Description                       | Type                  |
| ---------------- | --------------------------------- | --------------------- |
| `uxActiveTabSet` | event when the active tab was set | `CustomEvent<string>` |


## Methods

### `setActiveTab(id: string, scroll?: boolean, direction?: Direction) => Promise<void>`

id of the tab which will be active

#### Returns

Type: `Promise<void>`




## Dependencies

### Depends on

- [ux-icon](../../icon)
- [ux-tab-button](../tab-button)

### Graph
```mermaid
graph TD;
  ux-tab-container --> ux-icon
  ux-tab-container --> ux-tab-button
  style ux-tab-container fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
