/**
 * @slot (default) - Used for the ux-checkbox component to be wrapped
 * @slot description - Used to insert a description for the checkbox,
 *                     which can be toggle by clicking on the info icon
 */
export declare class Checkbox {
  /** the image url for the media element of the checkbox */
  imgSrc: string;
  /** optional text of the tag */
  tag: string;
  /** color of the tag */
  tagColor: "warning" | "info";
  /** optional lazyloading of images */
  lazyload: boolean;
  /** alt image tag */
  imageAlt: string;
  checkboxChecked: boolean;
  hasDescription: boolean;
  descriptionActive: boolean;
  element: HTMLUxCheckboxTileElement;
  private checkboxInputElement;
  private checkboxElement;
  private descriptionContainer;
  private descriptionToggle;
  componentWillLoad(): void;
  componentDidLoad(): void;
  /** checkbox event, includes checked status, inputId and input name */
  handleActiveState(e: CustomEvent): void;
  private handleDescription;
  private onElementClick;
  render(): any;
}
