import { ComponentInterface } from "../../stencil-public-runtime";
import { DirectSearchResult } from "./direct-search-response";
export declare class DirectSearchbox implements ComponentInterface {
  /** the searchbox dom element */
  domNode: HTMLUxDirectSearchboxElement;
  /** an optional unique id for the input element */
  inputId?: string;
  /** the input name */
  name?: string;
  /** the input label text */
  label?: string;
  /** the input placeholder text */
  placeholder?: string;
  /** the submit button label */
  buttonText?: string;
  /** the API endpoint from which data is requested */
  url?: string;
  /** flag that controls if the searchbox is disabled */
  disabled: boolean;
  /** flag that indicates that the search api has responded with an error */
  error: boolean;
  /** flag that indicates a pending search request */
  pending: boolean;
  /** an error message which is rendered in error state */
  errorMsg: string | null;
  /** unique id used for form elements */
  uniqueId: string;
  /** storage for the last search result */
  searchResult: DirectSearchResult | null;
  componentWillLoad(): void;
  handleSearchResult(): void;
  /** search input element */
  private searchInput;
  componentDidLoad(): void;
  /** Send the request and handle response */
  private requestData;
  private handleFormEvent;
  render(): any;
}
