export declare class FileUpload {
  private baseClass;
  private fileUploadField;
  private fileContainer;
  private fileInputIdentifier;
  private thumbnailContainer;
  element: HTMLUxFileUploadElement;
  /** Option to send multiple files in one request */
  maxFiles: number;
  /** The maximum upload file size in MB */
  maxFileSize: number;
  /** Accepted file types in comma separated list of mime types or file extensions  */
  acceptedFiles: string;
  /** Message Upload limit reached   */
  messageMaxFilesReached: string;
  /** Message Upload limit reached   */
  messageMaxFileSize: string;
  /** Message invalid file extension */
  messageInvalidFile: string;
  /** Generic message upload failed */
  messageUploadFailed: string;
  /** generic error message to be displayed */
  errorMsg: string;
  /** Label text describing the file upload field */
  label: string;
  /** indicates if the file upload is disabled */
  disabled: boolean;
  /** indicates if the file upload is required  */
  required: boolean;
  /** indicates if the file upload has an error state. Use error attribute only for static error rendering.  */
  error: boolean;
  /** the name to be given to the file inputs */
  inputName: string;
  private effectiveAllowedSize;
  private allowedFileTypes;
  message: string;
  uploadedFilesCount: number;
  supportsIndividualInputs: boolean;
  connectedCallback(): void;
  private onDragLeave;
  private onDragEnter;
  private stopEvent;
  private handleDrop;
  private onInputChange;
  private checkAndAddFiles;
  private checkAndAddIndividualFiles;
  private updateUploadedFilesCount;
  private renderThumbnails;
  private renderLegacyThumbnails;
  deleteInput(e: CustomEvent): void;
  resetErrorTimeout(): void;
  private deleteAllFiles;
  render(): any;
}
