import { EventEmitter } from "../../stencil-public-runtime";
import { UxOption } from "./option";
export declare class Select {
  selectElement: HTMLUxSelectElement;
  /** array of options */
  options: UxOption[];
  /** label text describing the select component field */
  label: string;
  /** select id attribute */
  selectId: string;
  /** name of the select field */
  name: string;
  /** indicates if the select component is disabled */
  disabled: boolean;
  /** indicates if the select component is required  */
  required: boolean;
  /** indicates if the select component has an error state  */
  error: boolean;
  /** Error message that is rendered if component has an error */
  errorMsg: string;
  setSelectId(): void;
  componentWillLoad(): void;
  /** event to set the currently active option */
  changeEventDetail: EventEmitter;
  /** function to emit new active option value */
  private selectChange;
  render(): any;
}
