import{Component,Element,Event,h,Host,Listen,Method,Prop,State,Watch}from"@stencil/core";import{ModalStatusEnum}from"./modal-status";import{ModalMultiIndicator}from"./modal-multi-indicator";import{getModalByName,getPriority}from"./modal-utils";export class Modal{constructor(){this.name="",this.priority=5,this.closeButtonText="",this.noCloseButton=!1,this.closeOnEscKey=!1,this.closeOnBackdropClick=!1,this.reloadOnClose=!1,this.stickyPosition="center",this.opened=!1,this.status=ModalStatusEnum.CLOSED,this.multipleModals=null,this.multipleModalsCurrent=null,this.transitionTimeout=null,this.triggerElementClickHandler=e=>{const targetElement=e.target.closest("[data-trigger-modal]");if(null===targetElement)return;(targetElement.getAttribute("data-trigger-modal")||"").split(";").map((string=>string.split(","))).forEach((trigger=>{if(trigger.length>1)switch(trigger[0].valueOf()){case"open":trigger[1]===this.name&&this.triggerOpen();break;case"close":void 0!==trigger[1]&&trigger[1]!==this.name||this.triggerClose()}}))}}async triggerClose(){this.modalClosed.emit(this.name).defaultPrevented||(this.opened=!1,this.reloadOnClose&&window.setTimeout((()=>window.location.reload()),250))}async triggerOpen(){this.modalOpened.emit(this.name).defaultPrevented||(this.opened=!0)}onOtherClosedModal(e){this.setMultipleModalsCurrent(this.getOpenMultipleModals(e.detail)),this.multipleModalsCurrent===this.name&&this.opened&&this.showModal()}onOtherOpenedModal(e){const openedModalName=e.detail,isAlreadyInCue=this.getOpenMultipleModals().indexOf(openedModalName)>-1;openedModalName===this.name||isAlreadyInCue||(this.multipleModals.push(openedModalName),this.sortMultipleModals(),this.setMultipleModalsCurrent(this.getOpenMultipleModals()))}setModalStatus(){if(null!==this.transitionTimeout&&clearTimeout(this.transitionTimeout),!this.opened){if(this.status===ModalStatusEnum.CLOSED)return;return this.status=ModalStatusEnum.CLOSING,void(this.transitionTimeout=setTimeout((()=>{this.status=ModalStatusEnum.CLOSED}),350))}this.status!==ModalStatusEnum.OPENED&&(this.initMultipleModals(),this.multipleModals.length>0&&-1===this.multipleModals.indexOf(this.name)&&this.multipleModals.push(this.name),(this.multipleModals.length<2||this.multipleModalsCurrent===this.name)&&this.showModal())}initMultipleModals(){if(null===this.multipleModals){const initiallyOpenedModals=Array.from(document.querySelectorAll("ux-modal[opened]"));this.multipleModals=initiallyOpenedModals.map((modal=>modal.name))}this.sortMultipleModals(),this.setMultipleModalsCurrent(this.getOpenMultipleModals())}setMultipleModalsCurrent(openedModals){null!==this.multipleModals&&(this.cleanupMultipleModals(openedModals),this.multipleModals.length>0&&(this.multipleModalsCurrent=openedModals[0]))}getOpenMultipleModals(exclude=null){return this.multipleModals.filter((name=>{const modal=getModalByName(name);return null!==modal&&name!==exclude&&modal.opened}))}cleanupMultipleModals(openModals){if(0===openModals.length)return this.multipleModals=[],void(this.multipleModalsCurrent=null)}sortMultipleModals(){null!==this.multipleModals&&this.multipleModals.sort(((a,b)=>getPriority(a)-getPriority(b)))}showModal(){this.status=ModalStatusEnum.OPENING,this.transitionTimeout=setTimeout((()=>{this.status=ModalStatusEnum.OPENED}),100)}handleKeyDown(event){this.closeOnEscKey&&"Escape"===event.key&&this.triggerClose()}componentWillLoad(){this.setModalStatus(),this.initMultipleModals(),this.onOtherClosedModal.bind(this),this.onOtherOpenedModal.bind(this)}componentDidLoad(){document.addEventListener("click",this.triggerElementClickHandler)}disconnectedCallback(){document.removeEventListener("click",this.triggerElementClickHandler)}render(){const handleClickClose=()=>{this.triggerClose()},currentMultiModal=this.multipleModals.indexOf(this.name)+1;return h(Host,{class:{"ux-modal":!0,[`ux-modal--${this.status}`]:!0,[`ux-modal--sticky-${this.stickyPosition}`]:!0}},h("div",{class:"ux-modal__backdrop",onClick:this.closeOnBackdropClick?handleClickClose:null}),h("div",{class:"ux-modal__outer",role:"dialog","aria-modal":!0},h("div",{class:"ux-modal__inner"},h(ModalMultiIndicator,{current:currentMultiModal,total:this.multipleModals.length}),h("div",{class:"ux-modal__head"},!this.noCloseButton&&h("button",{class:"ux-modal__close","aria-label":this.closeButtonText,title:this.closeButtonText,onClick:handleClickClose},h("ux-icon",{name:"close"}))),h("div",{class:"ux-modal__slot"},h("slot",null)))))}static get is(){return"ux-modal"}static get originalStyleUrls(){return{$:["modal.scss"]}}static get styleUrls(){return{$:["modal.css"]}}static get properties(){return{name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Set the name of the modal"},attribute:"name",reflect:!1,defaultValue:'""'},priority:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Set the priority of the modal as integer between 1 and 10 - lower numbers have a higher importance"},attribute:"priority",reflect:!1,defaultValue:"5"},closeButtonText:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The label of the close button"},attribute:"close-button-text",reflect:!1,defaultValue:'""'},noCloseButton:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Disables the close button in the top corner"},attribute:"no-close-button",reflect:!1,defaultValue:"false"},closeOnEscKey:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"If present, uxModalClose event is emitted when escape key is pressed *"},attribute:"close-on-esc-key",reflect:!1,defaultValue:"false"},closeOnBackdropClick:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"If present, uxModalClose event is emitted when the backdrop is clicked *"},attribute:"close-on-backdrop-click",reflect:!1,defaultValue:"false"},reloadOnClose:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"reloads the page when the modal is closed"},attribute:"reload-on-close",reflect:!1,defaultValue:"false"},stickyPosition:{type:"string",mutable:!1,complexType:{original:'"center" | "bottom" | "top"',resolved:'"bottom" | "center" | "top"',references:{}},required:!1,optional:!1,docs:{tags:[],text:"At which vertical position should the maodal be docked *"},attribute:"sticky-position",reflect:!1,defaultValue:'"center"'},opened:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Boolean to indicate if or not the modal is currently opened"},attribute:"opened",reflect:!0,defaultValue:"false"}}}static get states(){return{status:{},multipleModals:{},multipleModalsCurrent:{}}}static get events(){return[{method:"modalClosed",name:"uxModalClose",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Emitted when the modal is closed"},complexType:{original:"string",resolved:"string",references:{}}},{method:"modalOpened",name:"uxModalOpen",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Emitted when the modal is opened"},complexType:{original:"string",resolved:"string",references:{}}}]}static get methods(){return{triggerClose:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Triggers modal closing",tags:[]}},triggerOpen:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Triggers modal opening",tags:[]}}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"opened",methodName:"setModalStatus"}]}static get listeners(){return[{name:"uxModalClose",method:"onOtherClosedModal",target:"window",capture:!1,passive:!1},{name:"uxModalOpen",method:"onOtherOpenedModal",target:"window",capture:!1,passive:!1},{name:"keydown",method:"handleKeyDown",target:"window",capture:!1,passive:!1}]}}