import{Component,h,Host,Prop,State,Event,Element,Listen}from"@stencil/core";import{Label}from"../label/label";import{debounce}from"../../utils/debounce";let id=0;export class RangeInput{constructor(){this.baseClass="ux-range-input",this.min=0,this.max=10,this.value=this.min,this.step=1,this.label="",this.name=void 0,this.error=!1,this.errorMsg="Invalid value",this.disabled=!1,this.inputId="",this.hasSlottedLabel=!1,this.markerOffsetX=0,this.recalculateMarkerPosition=debounce((()=>this.getMarkerPosition()),100),this.onChange=()=>{this.error=!1,this.rangeInputEvent.emit({value:this.rangeInput.value,inputId:this.inputId,name:this.name})},this.getMarkerPosition=()=>{let offsetReference=(100/this.max-this.min)*(parseFloat(this.rangeInput.value)-this.min);offsetReference<0?offsetReference=0:offsetReference>100&&(offsetReference=100),this.markerOffsetX=(this.rangeInput.getBoundingClientRect().width-this.rangeMarker.clientWidth)*(offsetReference/100)},this.onInvalid=()=>{this.error=!0}}componentWillLoad(){""===this.inputId&&(this.inputId=`${this.baseClass}-id-${id++}`);const firstLevelChildren=this.element.children;for(let i=0;i<firstLevelChildren.length;i++){const slotAttribute=firstLevelChildren[i].getAttribute("slot");if("info-min"===slotAttribute||"info-max"===slotAttribute)return;this.hasSlottedLabel=!0}}onResize(){this.recalculateMarkerPosition()}componentDidLoad(){this.getMarkerPosition()}render(){return h(Host,{class:{[this.baseClass]:!0,[`${this.baseClass}--disabled`]:this.disabled,[`${this.baseClass}--error`]:this.error}},(""!==this.label||this.hasSlottedLabel)&&h(Label,{label:this.label,error:this.error,errorMsg:this.errorMsg,htmlFor:this.inputId},h("slot",null)),h("div",{class:`${this.baseClass}__track`},h("input",{type:"range",name:this.name,min:this.min,max:this.max,step:this.step,id:this.inputId,value:this.value,onChange:this.onChange,onInput:this.getMarkerPosition,onInvalid:this.onInvalid,ref:el=>this.rangeInput=el,class:`${this.baseClass}__input`}),h("div",{class:`${this.baseClass}__marker`,style:{transform:`translateX(${this.markerOffsetX}px)`},ref:el=>this.rangeMarker=el},h("div",{class:`${this.baseClass}__marker-line`}),h("div",{class:`${this.baseClass}__marker-line`}),h("div",{class:`${this.baseClass}__marker-line`}))),h("div",{class:`${this.baseClass}__info-container`},h("div",{class:`${this.baseClass}__info`},h("slot",{name:"info-min"})),h("div",{class:`${this.baseClass}__info`},h("slot",{name:"info-max"}))))}static get is(){return"ux-range-input"}static get originalStyleUrls(){return{$:["range-input.scss"]}}static get styleUrls(){return{$:["range-input.css"]}}static get properties(){return{min:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the minimum value that can be selected"},attribute:"min",reflect:!1,defaultValue:"0"},max:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the maximum value that can be selected"},attribute:"max",reflect:!1,defaultValue:"10"},value:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the default value to give to the imput, it defaults to the min value"},attribute:"value",reflect:!1,defaultValue:"this.min"},step:{type:"any",mutable:!1,complexType:{original:'number | "any"',resolved:'"any" | number',references:{}},required:!1,optional:!1,docs:{tags:[],text:"the step to give the range input element"},attribute:"step",reflect:!1,defaultValue:"1"},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the label of the component, can also be inserted per slot"},attribute:"label",reflect:!1,defaultValue:'""'},name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the name to be assigned to the range input"},attribute:"name",reflect:!1,defaultValue:"undefined"},error:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the component will be displayed in error mode"},attribute:"error",reflect:!0,defaultValue:"false"},errorMsg:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the error message to be displayed to the user"},attribute:"error-msg",reflect:!1,defaultValue:'"Invalid value"'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the input will be disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"id attribute for the input element, this will be set automatically if it is not set by the developer"},attribute:"input-id",reflect:!1,defaultValue:'""'}}}static get states(){return{hasSlottedLabel:{},markerOffsetX:{}}}static get events(){return[{method:"rangeInputEvent",name:"uxRangeInputChange",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"range input event emitted on change, includes value, inputId and name"},complexType:{original:"{\n        value: string;\n        inputId: string;\n        name: string;\n    }",resolved:"{ value: string; inputId: string; name: string; }",references:{}}}]}static get elementRef(){return"element"}static get listeners(){return[{name:"resize",method:"onResize",target:"window",capture:!1,passive:!0}]}}