import{Component,Host,h,Prop,Element,State,Watch,Listen}from"@stencil/core";import{debounce}from"../../utils/debounce";import{throttle}from"../../utils/throttle";import applyElementPolyfills from"../../polyfills/element";applyElementPolyfills();export class Table{constructor(){this.fixedColIndex=0,this.maxFixedColWidth=250,this.fullWidth=!1,this.sortable=!1,this.hasFixedLink=!1,this.isFixed=!1,this.fixedColWidth=250,this.leftShadow=!1,this.rightShadow=!1,this.supportsIntersectionObserver="IntersectionObserver"in window,this.fixedLinkSpaceAdded=!1,this.fixedColumnHasMinWidth=!0,this.contentObserver=new MutationObserver(debounce((()=>this.onContentChange()),100)),this.handleIntersection=entries=>{entries.map((entry=>{entry.isIntersecting&&this.onContentChange()}))},this.intersectionObserver=this.supportsIntersectionObserver?new IntersectionObserver(this.handleIntersection):null,this.onResize=throttle((()=>this.calculateTableState()),200),this.onScroll=throttle((()=>this.calculateShadows()),10)}connectedCallback(){this.uniqueId="ux-table-id-"+idCounter++,this.table=this.element.querySelector("table"),window.addEventListener("resize",this.onResize)}componentDidLoad(){this.addFixedLink(),this.calculateFixedColWidth(),this.calculateTableState(),this.calculateShadows(),this.syncRowHeight(),this.contentObserver.observe(this.innerDiv,{childList:!0,subtree:!0}),this.supportsIntersectionObserver&&this.intersectionObserver.observe(this.innerDiv)}disconnectedCallback(){window.removeEventListener("resize",this.onResize),this.contentObserver.disconnect(),this.supportsIntersectionObserver&&this.intersectionObserver.disconnect()}onContentChange(){this.addFixedLink(),this.syncRowHeight(),this.calculateFixedColWidth(),this.calculateTableState(),this.calculateShadows()}calculateTableState(){const containerWidth=this.element.getBoundingClientRect().width,tableWidth=this.table.getBoundingClientRect().width+(this.isFixed?this.fixedColWidth:0);this.isFixed=containerWidth<tableWidth}calculateFixedColWidth(){const{table:table,fixedColIndex:fixedColIndex,maxFixedColWidth:maxFixedColWidth}=this,fixedCells=table.querySelectorAll(`td:nth-child(${fixedColIndex+1})\n            ,th:nth-child(${fixedColIndex+1})`),fixedCellsArray=[].slice.call(fixedCells);let width=0;fixedCellsArray.slice(0,50).forEach((cell=>{const cellWidth=cell.getBoundingClientRect().width;width=cellWidth>width?cellWidth:width})),!1===this.fixedLinkSpaceAdded&&0!==width&&this.hasFixedLink&&(width+=15,this.fixedLinkSpaceAdded=!0),this.fixedColWidth=width>maxFixedColWidth||0===width?maxFixedColWidth:width,this.fixedColumnHasMinWidth=this.fixedColWidth!==maxFixedColWidth}calculateShadows(){const scrollLeft=this.innerDiv.scrollLeft,containerWidth=this.innerDiv.getBoundingClientRect().width,tableWidth=this.table.getBoundingClientRect().width+(this.isFixed?this.fixedColWidth:0);this.leftShadow=this.isFixed&&scrollLeft>0,this.rightShadow=scrollLeft+containerWidth+2<tableWidth}syncRowHeight(){const rows=this.table.querySelectorAll("tr");[].forEach.call(rows,(row=>{const rowHeight=row.getBoundingClientRect().height,fixedCell=row.querySelector(`th:nth-child(${this.fixedColIndex+1}),td:nth-child(${this.fixedColIndex+1})`),fixedCellHeight=fixedCell.getBoundingClientRect().height,height=Math.max(rowHeight,fixedCellHeight);row.style.height=`${height}px`,fixedCell.style.height=`${height}px`}))}sortRows(e){if(!this.sortable)return;const sorter=e.target,th=sorter.closest("th"),titleRow=th.parentElement,colIndex=[].indexOf.call(titleRow.children,th),table=th.closest("table"),getCellValue=(tr,idx)=>tr.children[idx].hasAttribute("data-sort")?tr.children[idx].getAttribute("data-sort"):tr.children[idx].textContent;var idx,asc;[].slice.call(table.querySelectorAll("tr")).filter((tr=>!tr.isSameNode(titleRow))).sort((idx=colIndex,asc="asc"===sorter.sortedDirection,(a,b)=>getCellValue(asc?a:b,idx).localeCompare(getCellValue(asc?b:a,idx)))).forEach((tr=>table.appendChild(tr)))}addFixedLink(){if(!this.hasFixedLink)return;const{table:table}=this,tableRows=table.querySelectorAll("tr"),tableRowsArray=[].slice.call(tableRows);tableRowsArray.forEach((tableRow=>{const lastCellIndex=tableRow.children.length-1,link=tableRow.children[lastCellIndex].querySelector("a");if(!link)return;const firstRowCell=tableRow.children[this.fixedColIndex];if(!firstRowCell.querySelector(".ux-table__fixed-link")){const clonedLink=link.cloneNode(!0);clonedLink.className="ux-table__fixed-link",clonedLink.innerHTML='<ux-icon name="arrow-right"></ux-icon>',firstRowCell.insertAdjacentElement("beforeend",clonedLink)}}))}render(){const fixedClass="ux-table--is-fixed",{uniqueId:uniqueId,isFixed:isFixed,fixedColIndex:fixedColIndex,fixedColWidth:fixedColWidth,maxFixedColWidth:maxFixedColWidth,leftShadow:leftShadow,rightShadow:rightShadow,fullWidth:fullWidth,fixedColumnHasMinWidth:fixedColumnHasMinWidth}=this,fixedCol=fixedColIndex+1;return h(Host,{class:{"ux-table":!0,[fixedClass]:isFixed,"ux-table--has-left-shadow":leftShadow,"ux-table--has-right-shadow":rightShadow,"ux-table--full-width":fullWidth}},h("style",null,`\n                    #${uniqueId} th:nth-child(${fixedCol}),\n                    #${uniqueId} td:nth-child(${fixedCol}) {\n                        max-width: ${maxFixedColWidth}px;\n                    }\n                    .${fixedClass} #${uniqueId} th:nth-child(${fixedCol}),\n                    .${fixedClass} #${uniqueId} td:nth-child(${fixedCol}) {\n                        position: absolute;\n                        left: 0;\n                        width: ${fixedColWidth}px;\n                        min-width: ${fixedColumnHasMinWidth?"fit-content":"auto"};\n                        display:flex;\n                        align-items: center;\n                        justify-content: flex-start;\n                    }\n                    .${fixedClass} #${uniqueId} table {\n                        margin-left: ${fixedColWidth}px;\n                    }\n                    #${uniqueId}:before {\n                        left: ${fixedColWidth}px;\n                    }\n                `),h("div",{class:"ux-table__inner",ref:el=>this.innerDiv=el,onScroll:()=>this.onScroll(),id:uniqueId},h("slot",null)))}static get is(){return"ux-table"}static get originalStyleUrls(){return{$:["table.scss"]}}static get styleUrls(){return{$:["table.css"]}}static get properties(){return{fixedColIndex:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"zero-based index of the column that should be fixed on smaller viewports - defaults to the first col"},attribute:"fixed-col-index",reflect:!1,defaultValue:"0"},maxFixedColWidth:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"maximum number of pixels that the fixed column is allowed to be wide"},attribute:"max-fixed-col-width",reflect:!1,defaultValue:"250"},fullWidth:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the table should always be at least 100% wide"},attribute:"full-width",reflect:!1,defaultValue:"false"},sortable:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the table should sort its static data by itself. Do not use this if the data needs to be sorted by some logic (i.e. via an API)"},attribute:"sortable",reflect:!1,defaultValue:"false"},hasFixedLink:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The link in the last column will be added into the fixed column on smaller viewports"},attribute:"has-fixed-link",reflect:!1,defaultValue:"false"}}}static get states(){return{isFixed:{},fixedColWidth:{},leftShadow:{},rightShadow:{},uniqueId:{},fixedLinkSpaceAdded:{},fixedColumnHasMinWidth:{}}}static get elementRef(){return"element"}static get watchers(){return[{propName:"isFixed",methodName:"calculateShadows"},{propName:"isFixed",methodName:"syncRowHeight"}]}static get listeners(){return[{name:"uxTableSort",method:"sortRows",target:void 0,capture:!1,passive:!1}]}}let idCounter=0;