import{Component,Prop,Host,State,Element,Event,Listen,Method,Watch,h}from"@stencil/core";import{debounce}from"../../utils/debounce";import{getViewportWidth}from"../../utils/getViewportWidth";export class Tooltip{constructor(){this.baseClass="ux-tooltip",this.tooltipTargetElement=null,this.tooltipElement=null,this.safeMargin=40,this.tooltipTarget="",this.align="right",this.controlled=!1,this.tooltipPosition={top:0,left:0},this.isTooltipActive=!1,this.customArrowPosition=!1,this.addEventListeners=()=>{this.removeEventListeners(),null!==this.tooltipTargetElement&&(this.tooltipTargetElement.addEventListener("mouseenter",this.activateTooltip),this.tooltipTargetElement.addEventListener("mouseleave",this.deactivateTooltip)),null!==this.tooltipElement&&(this.tooltipElement.addEventListener("mouseenter",this.activateTooltip),this.tooltipElement.addEventListener("mouseleave",this.deactivateTooltip),this.tooltipElement.addEventListener("click",this.handleTooltipClick))},this.removeEventListeners=()=>{window.removeEventListener("scroll",this.scrollHandler),null!==this.tooltipTargetElement&&(this.tooltipTargetElement.removeEventListener("mouseenter",this.activateTooltip),this.tooltipTargetElement.removeEventListener("mouseleave",this.deactivateTooltip)),null!==this.tooltipElement&&(this.tooltipElement.removeEventListener("mouseenter",this.activateTooltip),this.tooltipElement.removeEventListener("mouseleave",this.deactivateTooltip),this.tooltipElement.removeEventListener("click",this.handleTooltipClick))},this.scrollHandler=()=>{window.removeEventListener("scroll",this.scrollHandler),this.isTooltipActive=!1},this.handleTooltipClick=e=>{e.target.hasAttribute("data-ux-tooltip-close")&&(this.isTooltipActive=!1)},this.activateTooltip=()=>{!1===this.isTooltipActive&&this.activatedTooltipEvent.emit(this.uniqueId),this.isTooltipActive=!0,this.lastActivated=(new Date).getTime()},this.deactivateTooltip=()=>{const deactivationTimeoutStart=(new Date).getTime();setTimeout((()=>{this.lastActivated<deactivationTimeoutStart&&(this.isTooltipActive=!1)}),350)},this.calculateTooltipPosition=debounce((()=>{if(null===this.tooltipElement)return;this.tooltipDimensions=this.tooltipElement.getBoundingClientRect(),this.tooltipTargetRects=this.tooltipTargetElement.getBoundingClientRect();const invalidTop=this.tooltipTargetRects.top<this.tooltipDimensions.height+this.safeMargin,verticalMiddle=this.tooltipTargetRects.bottom-(this.tooltipTargetRects.bottom-this.tooltipTargetRects.top)/2,horizontalMiddle=this.tooltipTargetRects.right-(this.tooltipTargetRects.right-this.tooltipTargetRects.left)/2;if("top"===this.align)return void(invalidTop?this.setTooltipToBottom(horizontalMiddle):this.setTooltipToTop(horizontalMiddle));if("bottom"===this.align)return void this.setTooltipToBottom(horizontalMiddle);const invalidSide=this.tooltipTargetRects.bottom<this.tooltipDimensions.height/2||window.innerHeight-this.tooltipTargetRects.bottom<this.tooltipDimensions.height/2,invalidLeft=this.safeMargin+this.tooltipDimensions.width>this.tooltipTargetRects.left||invalidSide,invalidRight=this.safeMargin+this.tooltipDimensions.width>getViewportWidth()-this.tooltipTargetRects.right||invalidSide;"left"===this.align&&(invalidLeft?invalidRight?this.setTooltipToBottom(horizontalMiddle):this.setTooltipToRight(verticalMiddle):this.setTooltipToLeft(verticalMiddle)),"right"===this.align&&(invalidRight?invalidLeft?this.setTooltipToBottom(horizontalMiddle):this.setTooltipToLeft(verticalMiddle):this.setTooltipToRight(verticalMiddle))}),100),this.setTooltipToRight=verticalMiddle=>{this.tooltipAlignment="right",this.tooltipPosition={top:verticalMiddle,left:this.tooltipTargetRects.right+this.safeMargin}},this.setTooltipToLeft=verticalMiddle=>{this.tooltipAlignment="left",this.tooltipPosition={top:verticalMiddle,left:this.tooltipTargetRects.left-this.safeMargin}},this.setTooltipToTop=horizontalMiddle=>{this.tooltipAlignment="top",this.tooltipPosition={top:this.tooltipTargetRects.top+this.safeMargin,left:horizontalMiddle}},this.setTooltipToBottom=horizontalMiddle=>{this.tooltipAlignment="bottom";const willOverflowLeft=horizontalMiddle<this.tooltipDimensions.width/2,willOverflowRight=getViewportWidth()-horizontalMiddle<this.tooltipDimensions.width/2,leftPosition=willOverflowLeft||willOverflowRight?willOverflowLeft?20+this.tooltipDimensions.width/2:window.innerWidth-30-this.tooltipDimensions.width/2:horizontalMiddle;this.tooltipPosition={top:this.tooltipTargetRects.bottom+this.safeMargin,left:leftPosition},leftPosition!==horizontalMiddle&&(this.calculateArrowPosition=!0)},this.calculateArrowPosition=!1}setControlled(){this.controlled?this.removeEventListeners():this.addEventListeners()}calculatePosition(){!0===this.isTooltipActive?(this.calculateTooltipPosition(),this.controlled||window.addEventListener("scroll",this.scrollHandler)):(window.removeEventListener("scroll",this.scrollHandler),this.tooltipAlignment=void 0)}async showTooltip(){!1===this.isTooltipActive&&this.activateTooltip()}async hideTooltip(){this.isTooltipActive=!1}connectedCallback(){this.uniqueId="ux-tooltip-"+idCounter++}componentWillLoad(){this.textOnlyMode=null===this.element.firstElementChild}componentDidLoad(){this.tooltipTargetElement=this.element.parentElement.querySelector(this.tooltipTarget),this.controlled||this.addEventListeners()}disconnectedCallback(){this.removeEventListeners()}handleClicks(e){this.controlled||this.tooltipTargetElement&&(this.tooltipTargetElement.contains(e.target)?!1===this.isTooltipActive&&(this.isTooltipActive=!0):null===e.target.closest("div.ux-tooltip__tip")&&(this.isTooltipActive=!1))}componentDidRender(){if(!1===this.calculateArrowPosition)return;const tooltipRects=this.tooltipElement.getBoundingClientRect();this.customArrowPosition=this.tooltipTargetRects.left-this.tooltipTargetRects.width-tooltipRects.left+30,this.calculateArrowPosition=!1}preventMultipleTooltipsActive(event){event.detail!==this.uniqueId&&(this.isTooltipActive=!1)}render(){const{tooltipAlignment:tooltipAlignment,textOnlyMode:textOnlyMode,tooltipPosition:tooltipPosition,customArrowPosition:customArrowPosition,uniqueId:uniqueId}=this,Wrapper=textOnlyMode?"p":"div";return h(Host,{class:`${this.baseClass} ${uniqueId}`},customArrowPosition&&"bottom"===tooltipAlignment&&h("style",null,`\n                            .${uniqueId} .${this.baseClass}__tip::after,\n                            .${uniqueId} .${this.baseClass}__tip::before {\n                                left: ${customArrowPosition}px;\n                            }\n                        `),h("div",{class:{[`${this.baseClass}__tip`]:!0,[`${this.baseClass}__tip--active`]:this.isTooltipActive&&this.tooltipAlignment,[`${this.baseClass}__tip--${tooltipAlignment}`]:!0},style:{position:"fixed",top:`${tooltipPosition.top}px`,left:`${tooltipPosition.left}px`},ref:el=>this.tooltipElement=el},h(Wrapper,{class:textOnlyMode?"ux-text-normal ux-text-normal--light-gray ux-u-margin-vertical-0":null},h("slot",null))))}static get is(){return"ux-tooltip"}static get originalStyleUrls(){return{$:["tooltip.scss"]}}static get styleUrls(){return{$:["tooltip.css"]}}static get properties(){return{tooltipTarget:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the css selector of the tooltip target, tooltip and target\nhave to have the same parent element"},attribute:"tooltip-target",reflect:!1,defaultValue:'""'},align:{type:"string",mutable:!1,complexType:{original:'"right" | "bottom" | "left" | "top"',resolved:'"bottom" | "left" | "right" | "top"',references:{}},required:!1,optional:!1,docs:{tags:[],text:"the desired alignment of the tooltip message"},attribute:"align",reflect:!1,defaultValue:'"right"'},controlled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"set to true if the tooltip should be controlled from outside instead of handling UI events itself"},attribute:"controlled",reflect:!1,defaultValue:"false"}}}static get states(){return{tooltipAlignment:{},tooltipPosition:{},textOnlyMode:{},uniqueId:{},isTooltipActive:{},tooltipTargetRects:{},customArrowPosition:{},calculateArrowPosition:{}}}static get events(){return[{method:"activatedTooltipEvent",name:"uxTooltipActivated",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Preventing multiple Tooltip avtive at the same time"},complexType:{original:"string",resolved:"string",references:{}}}]}static get methods(){return{showTooltip:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"show/activate the tooltip",tags:[]}},hideTooltip:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"hide/deactivate the tooltip",tags:[]}}}}static get elementRef(){return"element"}static get watchers(){return[{propName:"controlled",methodName:"setControlled"},{propName:"isTooltipActive",methodName:"calculatePosition"}]}static get listeners(){return[{name:"click",method:"handleClicks",target:"window",capture:!1,passive:!1},{name:"uxTooltipActivated",method:"preventMultipleTooltipsActive",target:"window",capture:!1,passive:!1}]}}let idCounter=0;